#ifndef SO3Projection_h
#define SO3Projection_h

#include "AffineTransformation_templcode.h"
#include "linearalgebra_templcode.h"
#include "AffineTransformation.h"
#include "LinearAlgebra.h"
#include <vector>
using namespace	std;

void	so3projection(Affine3d &aff, Matrix3d &rot);
void	so3projection(Matrix3d &aff, Matrix3d &rot, Vector3d &diag);
float	icpKnownCorres(vector<Vector3f> &sourcePositions,
		vector<Vector3f>	&targetPositions,vector<float>	&fcWeights,
		Affine3d &affine, Vector3d &diag);

#endif /* _NR_H_ */
